MEMCACHED_EXIST_BY_KEY(3)

NAME
memcached_exist_by_key - libmemcached Documentation

SYNOPSIS

#include <libmemcached/memcached.h>

memcached_return_t memcached_exist(memcached_st *ptr, char *key, size_t *key_length)

memcached_return_t memcached_exist_by_key(memcached_st *ptr, char *group_key, size_t *group_key_length, char *key, size_t *key_length)
    New in version 0.53.

    Compile and link with -lmemcached

DESCRIPTION

memcached_exist() can be used to check to see if a key exists. No value is returned if the key exists, or does not exist, on the server.

RETURN

memcached_exist() sets error to to MEMCACHED_SUCCESS upon finding that the key exists. MEMCACHED_NOTFOUND will be return if the key is not found.

HOME

To find out more information please check: http://libmemcached.org/

SEE ALSO

memcached(1) libmemcached(3) memcached_strerror(3)

AUTHOR
Brian Aker

COPYRIGHT
2011-2013, Brian Aker DataDifferential, http://datadifferential.com/